Subject: bug#23269: MirBSD 10 i386 test failures [Re: grep-2.24.13-bed6 feedback

From: Paul Eggert <[email-masked]>
Date: Wed, 20 Apr 2016 09:40:05 -0700

On 04/20/2016 01:49 AM, [email-masked] wrote:
> This will likely mean interface additions in dfa.h and some minor
> code changes in dfa.c.

One thing that bugged me about dfa.c (when I was looking at this 
yesterday) is that it maintains some state in static variables, which 
means it can't be used in multiple threads using different locales. 
That's not an issue with grep or gawk now, but might be for other apps 
and might conceivably be a problem even in grep, which has a 
multithreaded patch pending and might conceivably want to use per-file 
encodings. So perhaps, while we're thinking about exposing the 
uni-to-multibyte cache anyway, we might want to look into fixing these 
other interface issues as well.

PS. I'm dropping [email-masked] from the CC: list, as that email 
address hasn't worked for many years....